Subject: [p2p-sip] Some comments on Use-cases document

From: sathya at research.panasonic.com (Sathya Narayanan)
Date: Tue, 21 Mar 2006 14:59:47 -0500

Philips -

<snip>

> 	b) Possible performance improvements. With two layers, you have to  
> first ask "where is user U?" and then send the Invite message. 
> With one layer, there is the possibility of sending the Invite and having it 
> routed to the user.

FWIW, I am against exactly the idea of merging QUERY and INVITE operations (Hope I can change your mind back on this one :-) ). How to verify the validity of  the resources records at the storage node, how to integrate with replications of stored resource records  (I am assuming we will (at some point) need replications to address reliability of the overlay), etc. becomes a lot more difficult if we do this merging.

In my mind, these two layers and their operations separate logically very well and keeping them independent will keep things simpler and allow for extending/improving each of these layers functionality independently without affecting the other.

thanks,
Sathya

>          (David et al removed this from their latest draft, but 
> this was an  
> option in the
>          earlier version, and also in the work done by Henning's 
> group).
> As others have pointed out, there are also drawbacks, so I haven't 
> 
> concluded anything
> yet, but I am a lot more open to option 1 than I was a few months ago.
> 
> 
> - Philip
> 
> PS. What this has to do with the use-cases document, however, I am 
> 
> not clear on  ;-)
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>